name:                 ghc-toolchain
version:              0.1.0.0
visibility:           public
id:                   ghc-toolchain-0.1.0.0-inplace
key:                  ghc-toolchain-0.1.0.0-inplace
copyright:            (c) The GHC Developers
maintainer:           ben@well-typed.com
author:               Ben Gamari
synopsis:             Utility for managing GHC target toolchains
abi:                  5d813ffb7a2a7bba62d833cb9038b287
exposed:              True
exposed-modules:
    GHC.Toolchain GHC.Toolchain.CheckArm GHC.Toolchain.Lens
    GHC.Toolchain.Monad GHC.Toolchain.NormaliseTriple
    GHC.Toolchain.ParseTriple GHC.Toolchain.PlatformDetails
    GHC.Toolchain.Prelude GHC.Toolchain.Program GHC.Toolchain.Target
    GHC.Toolchain.Tools.Ar GHC.Toolchain.Tools.Cc
    GHC.Toolchain.Tools.Cpp GHC.Toolchain.Tools.Cxx
    GHC.Toolchain.Tools.Link GHC.Toolchain.Tools.MergeObjs
    GHC.Toolchain.Tools.Nm GHC.Toolchain.Tools.Ranlib
    GHC.Toolchain.Tools.Readelf GHC.Toolchain.Utils

import-dirs:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/ghc-toolchain-0.1.0.0-inplace

library-dirs:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/ghc-toolchain-0.1.0.0-inplace

library-dirs-static:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/ghc-toolchain-0.1.0.0-inplace

dynamic-library-dirs: ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1
data-dir:
    ${pkgroot}/../share/x86_64-netbsd-ghc-9.10.1/ghc-toolchain-0.1.0.0

hs-libraries:         HSghc-toolchain-0.1.0.0-inplace
depends:
    base-4.20.0.0-inplace directory-1.3.8.3-inplace
    filepath-1.5.2.0-inplace ghc-platform-0.1.0.0-inplace
    process-1.6.19.0-inplace text-2.1.1-inplace
    transformers-0.6.1.1-inplace

haddock-interfaces: "${pkgroot}/../../../share/doc/ghc-9.10.1/html/libraries/ghc-toolchain-0.1.0.0-inplace/ghc-toolchain.haddock"


haddock-html: "${pkgroot}/../../../share/doc/ghc-9.10.1/html/libraries/ghc-toolchain-0.1.0.0-inplace"

